Skip to content
Permalink
Browse files

Merge pull request #409 from jxltom/pin-requires-version-for-python34

Pin yarl and multidict version for python34
  • Loading branch information...
lamenezes committed Nov 14, 2018
2 parents cc9fabf + c3705da commit c74a857aa4a98cdcb5998f017b32ca62e8ceae81
Showing with 4 additions and 2 deletions.
  1. +3 −1 setup.py
  2. +1 −1 vcr/serializers/jsonserializer.py
@@ -28,7 +28,9 @@ def run_tests(self):
'six>=1.5',
'contextlib2; python_version=="2.7"',
'mock; python_version=="2.7"',
'yarl; python_version>="3.4"',
'yarl; python_version>"3.4"',
'yarl<1.0.0; python_version=="3.4"',
'multidict<4.0.0,>=2.0; python_version=="3.4"'
]

excluded_packages = ["tests*"]
@@ -25,5 +25,5 @@ def serialize(cassette_dict):
original.end,
original.args[-1] + error_message
)
except TypeError as original: # py3
except TypeError: # py3
raise TypeError(error_message)

0 comments on commit c74a857

Please sign in to comment.
You can’t perform that action at this time.